# Supported: 'file-authentication-service', 'crowd-authentication-service', 'dummy-authentication-service'
authentication-service = file-authentication-service

# The time after which an inactive session is expired by the service (in minutes).
session-timeout = 720 

# Authorization
# Supported: 'no-authorization' and 'active-authorization'
authorization-component-factory = active-authorization

script-folder = .

# Supported: currently only 'postgresql' is supported
database.engine = postgresql
database.create-from-scratch = false
# For debugging set this value to true.
database.script-single-step-mode = false
database.url-host-part =
database.kind = screening
database.owner =
database.owner-password = 
database.admin-user = 
database.admin-password =

#crowd.service.host = crowd-bsse.ethz.ch
#crowd.service.port = 8443
#crowd.application.name = <openbis_application_name_in_crowd>
#crowd.application.password = <password>

# The database instance local unique identifier. Used when the new database is created.
database-instance = HCS 

# SMTP properties used to send emails e.g. for library registration confirmations or error reporting
# The current configuration saves the emails in the file system in the current '.' directory 
mail.smtp.host = file://.
# mail.smtp.host = localhost
# mail.from = openbis-as@localhost
# If empty user name and password are accepted, you have to uncomment these lines.
# These lines can be commented only if SMPT server accepts any user name and password. 
# mail.smtp.user = 
# mail.smtp.password = 

# The URL of the CIFEX server
cifex-url = https://cifex.ethz.ch:443

# Cifex users that will receive and automatically manage uploaded data.
# The user names should be prepended with 'id:' prefix for example: 
# cifex-recipient = id:dropboxuser, id:backpuser
cifex-recipient = id:cifexdatamanager

# Hibernate Search
# The working directory.
hibernate.search.index-base = ./indices-${database.kind}
# One of NO_INDEX, SKIP_IF_MARKER_FOUND, INDEX_FROM_SCRATCH.
# If not specified, default (SKIP_IF_MARKER_FOUND) is taken.
hibernate.search.index-mode = SKIP_IF_MARKER_FOUND
#hibernate.search.index-mode = INDEX_FROM_SCRATCH
# Defines the maximum number of elements indexed before flushing the transaction-bound queue.
# Default is 1000.
hibernate.search.batch-size = 1000
# Maximum number of search results
hibernate.search.maxResults = 100000
# If 'async', the update of indices will be done in a separate thread.
hibernate.search.worker.execution=async

web-client-configuration-file = etc/web-client.properties

# ---------------------------------------------------------------------------
# anonymous login configuration
# ---------------------------------------------------------------------------
# Login of the existing user whose settings will be used for anonymous login 
#user-for-anonymous-login = <user-login>

# When set to "true" enables the system to store material codes containing non-alphanumeric characters.
# Regardless of the value of this property no white spaces are allowed in the material codes.
#material-relax-code-constraints=false

# A comma-separated list of trusted cross-origin domains, that are allowed to
# query openBIS content. Typically these are lightweight webapps that integrate with openBIS 
# via JSON-RPC services, but are not directly hosted within the openBIS application.
# 
# Example 1 (two different domains configured):
# 
# trusted-cross-origin-domains=https://myapp.domain.com:8443, http://other.domain.com
#
# Example 2 (match every domain):
#
# trusted-cross-origin-domains= *
#
# The '*' matches any arbitrary domain. It should be used with care as it opens openBIS 
# for potential cross-site scripting attacks.
#
#trusted-cross-origin-domains=
